target: libsample.dl
libsample.dl: sample.o sample_chdl.o
	ch dllink libsample.dl sample_chdl.o sample.o -lm
sample_chdl.o:  sample_chdl.c
	ch dlcomp libsample.dl sample_chdl.c -I/dir1/include_dir
sample.o:  sample.c
	ch dlcomp libsample.dl sample.c -I/dir1/include_dir
clean:
	rm -f *.o *.obj *.lib *.exp *.dl
